Web lists-archives.com

Re: [Samba] subunit dependencies (was: Re: compile samba 4.10.2 centos 7.6)




On Sat, Apr 20, 2019 at 4:06 PM Andrew Bartlett <abartlet@xxxxxxxxx> wrote:
>
> On Sat, 2019-04-20 at 11:21 -0400, Nico Kadel-Garcia via samba wrote:
> >  There is a "python3-subunit-test" dependency
> > I've just excluded, but that didn't look like a high priority.
>
> I think this is a red herring anyway, not only would it only be needed
> for a sefltest build (and no package should be of a selftest build) it
> shouldn't be needed anyway as we use an internal subunit (locked at the
> version 1 protocol).

Thanks! There are a number of intriguing and confusing dependencies in
the latest Fedora rawhide samba.spec files, especially because the
author of that .spec file abandoned python2 outright. I'm on board
with that, but it means that for RHEL 7 or CentOS 7, it requires
python36 from EPEL. I think that means RHEL is never going to accept
this work as is, even with the DC options disabled.

I've tried porting it to RHEL 8 beta, which started well but bogged
down in the lack of ceph and other components. I'm crossing my fingers
that RHEL 8 will come out soon, and provide a more stable environment
without having to do so much backporting of dependencies.

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba